local Text = ...
assert( Text );

return Def.ActorFrame{ InitCommand=cmd(y,1);
	-- main header background
--[[     LoadActor("Common menu light")..{ 
        InitCommand=cmd(y,25;zoomto,SCREEN_WIDTH*2,50); 
        OnCommand=cmd(blend,'BlendMode_Add';diffuseramp;effectclock,'beat');
    }; --]]
	LoadActor("Common Header")..{ InitCommand=cmd(vertalign,top;zoomx,SCREEN_WIDTH;); };
	-- text
	LoadFont("Fancy", "Header") ..{
--~ 		Text="// " .. THEME:GetString( 'Headers', Text );
        Text=THEME:GetString( 'Headers',Text);
		InitCommand=cmd(horizalign,left;shadowlength,0;y,16;x,(-SCREEN_WIDTH/2)+20;diffusetopedge,color("#fff200");diffusebottomedge,color("#ed1c24;"));
		OnCommand=cmd(finishtweening;diffusealpha,0;decelerate,0.25;diffusealpha,1;addx,-8;);
		OffCommand=cmd(finishtweening;diffusealpha,1;accelerate,0.25;diffusealpha,0;addx,8;);
	};
    -- clone for addition
	LoadFont("Fancy", "Header") ..{
--~ 		Text="// " .. THEME:GetString( 'Headers', Text );
        Text=THEME:GetString( 'Headers',Text);
		InitCommand=cmd(blend,"BlendMode_Add";horizalign,left;shadowlength,0;y,16;x,(-SCREEN_WIDTH/2)+20;diffusetopedge,color("#fff200");diffusebottomedge,color("#ed1c24;"));
		OnCommand=cmd(finishtweening;diffusealpha,0;decelerate,0.25;diffusealpha,0.3;addx,-8;);
		OffCommand=cmd(finishtweening;diffusealpha,0.3;accelerate,0.25;diffusealpha,0;addx,8;);
	}; 
};